summaryrefslogtreecommitdiffhomepage
path: root/android/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'android/scripts')
-rwxr-xr-xandroid/scripts/run-instrumented-tests-locally.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/android/scripts/run-instrumented-tests-locally.sh b/android/scripts/run-instrumented-tests-locally.sh
new file mode 100755
index 0000000000..359c648d30
--- /dev/null
+++ b/android/scripts/run-instrumented-tests-locally.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -eu
+
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+cd $SCRIPT_DIR/..
+./gradlew assembleOssProdAndroidTest
+./gradlew app:assembleOssProdDebug
+$SCRIPT_DIR/run-instrumented-tests.sh app